# Disable running the test suite by default
%bcond_with tests

Name: greenmail
Version: 1.3.1b
Release: 2%{?dist}
Summary: Suite of email servers for testing purposes
License: ASL 2.0
URL: http://www.icegreen.com/greenmail
# FPC bundling exception: https://fedorahosted.org/fpc/ticket/392
Source0: http://sourceforge.net/projects/greenmail/files/%{name}/%{version}/%{name}-%{version}-src.zip
Source1: http://sourceforge.net/p/greenmail/code/HEAD/tree/branches/1.3/license.txt
Source2: http://repo1.maven.org/maven2/com/icegreen/%{name}/%{version}/%{name}-%{version}.pom
# e-mail clearing up licensing issues
Source3: %{name}-license-confusion.eml
BuildArch: noarch

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: java-devel
BuildRequires: javamail
BuildRequires: javapackages-tools
BuildRequires: slf4j

%description
GreenMail is an intuitive and easy-to-use test suite of email servers for
testing purposes.  It supports SMTP, POP3, IMAP with SSL socket support.
GreenMail also provides a JBoss GreenMail Service.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -qc %{name}-%{version}
find -name *.jar -delete

install -m 0644 %{SOURCE1} LICENSE

build-jar-repository lib javamail junit slf4j/slf4j-api slf4j/slf4j-simple

%build
ant all
install %{SOURCE3} .

%install
install -d -m 0755 %{buildroot}/%{_javadir}
install -d -m 0755 %{buildroot}/%{_javadocdir}/%{name}
install -d -m 0755 %{buildroot}/%{_mavenpomdir}

install -m 0644 build/lib/%{name}-%{version}.jar %{buildroot}/%{_javadir}/%{name}.jar
install -m 0644 %{SOURCE2} %{buildroot}/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

cp -ar build/javadocs/* %{buildroot}/%{_javadocdir}/%{name}

%if %{with tests}
%check
ant test
%endif

%files -f .mfiles
%doc LICENSE faq.html readme.html %{name}-license-confusion.eml
%{_javadir}/%{name}.jar

%files javadoc
%doc LICENSE readme.html %{name}-license-confusion.eml
%{_javadocdir}/%{name}

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1b-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 30 2014 Robert Rati <rrati@redhat> - 1.3.1b-1
- Initial packaging
